Skip to main content
Compute Management/VM Related Interfaces/vTPM-related APIs
PUTvTPM-related APIsSince 5.0.0SynchronousAuth Required

Update TPM

Update TPM

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • updatetpmObjectRequired

    updatetpm request body object.

    • vmInstanceUuidString

      VM UUID

    • tpmUuidString

      TPM UUID

    • keyProviderUuidString

      Key provider UUID

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Whether the update operation succeeded

  • inventoryTpmInventoryRequired

    For details, see inventory

    • uuidStringRequired

      TPM UUID

    • nameStringRequired

      TPM resource name

    • vmInstanceUuidStringRequired

      VM UUID

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • hostRefsListRequired

      For details, see hostRefs

  • errorErrorCodeRequired

    For details, see error

    • codeStringRequired

      Error code, a globally unique identifier of the error, for example, SYS.1000 or HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. The default value is null

    • opaqueLinkedHashMapRequired

      Reserved field. The default value is null

    • causeErrorCodeRequired

      Root error, which is the source error that caused the current error. If there is no source error, this field is null

Endpoint

PUT/zstack/v1/tpms

/zstack/v1/tpms

Operation ID

UpdateTpm

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/tpms' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatetpm":{"vmInstanceUuid":"<vmInstanceUuid>","tpmUuid":"<tpmUuid>","keyProviderUuid":"<keyProviderUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "ff00de2d3ab43127b1abdac68f1e7f00", "name": "TPM-for-VM-ff01ec80fd11327cba7519b66119d900", "vmInstanceUuid": "ff01ec80fd11327cba7519b66119d900", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history